## metacam 0.6

=== Makefile ===
# -----------------------------------------------------------------------------
# MetaCam - Extract EXIF information from digital camera files, with
# support for Vendor specific blocks.
# Copyright (C) 2000 Daniel Stephens (daniel@cheeseplant.org)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
# -----------------------------------------------------------------------------
#
# $Id: Makefile,v 1.7 2001/12/25 19:56:44 daniel Exp $

# Some operating-system dependent choices for compile-time flags. Uncomment
# whichever is most appropriate
# -- g++ on linux
OSCXXFLAGS=-ansi -pedantic
# -- Cygwin under Windows 2000
#OSCXXFLAGS=

CXX=g++
INCLUDES=

CXXFLAGS=-Wall $(OSCXXFLAGS) -D_GNU_SOURCE -O2 $(INCLUDES)

OBJS=metacam.o rationals.o ifdentry.o ifd.o tifffile.o exiftags.o \
     nikontags.o olympustags.o canontags.o casiotags.o dpyfuncs.o
HDRS=metacam.h dpyfuncs.h

DEPS=$(OBJS:.o=.dep)

TIFS=$(wildcard *.TIF)
JPGS=$(wildcard *.JPG)
CAMS=$(TIFS:.TIF=.tcam) $(JPGS:.JPG=.jcam)

##### TARGETS ######

default:	metacam

clean:
	-rm -f *.o *~

tags:
	etags *.cc *.h

realclean:
	-rm -f metacam
	-rm -f *.o *~
	-rm -f *.dep
	-rm -f dependencies
	-rm -f TAGS

metacam:	$(OBJS)
	$(CXX) $(CXXFLAGS) $(OBJS) -o metacam -lm

# Dependency rules
dependencies:	Makefile $(DEPS)
		cat $(DEPS) > dependencies-
		mv -f dependencies- dependencies

# Each .dep file will hold dependencies for both the .o file, and an identical
# list to determine when the .dep file needs rebuilding. Clever eh?
%.dep: %.cc $(HDRS)
		$(CXX) $(CFLAGS) $(INCS) -M -E -c $*.cc > $*.dep-
		sed -e 's/[.]o:/.dep:/' $*.dep- > $*.dep--
		cat $*.dep-- >> $*.dep-
		rm -f $*.dep--
		mv -f $*.dep- $*.dep 

include dependencies

## metacam 1.2

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 # Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 # -----------------------------------------------------------------------------
 #
-# $Id: Makefile,v 1.7 2001/12/25 19:56:44 daniel Exp $
+# $Id: Makefile,v 1.12 2002/09/02 20:28:46 daniel Exp $
 
 # Some operating-system dependent choices for compile-time flags. Uncomment
 # whichever is most appropriate
@@ -32,35 +32,40 @@
 
 CXXFLAGS=-Wall $(OSCXXFLAGS) -D_GNU_SOURCE -O2 $(INCLUDES)
 
-OBJS=metacam.o rationals.o ifdentry.o ifd.o tifffile.o exiftags.o \
-     nikontags.o olympustags.o canontags.o casiotags.o dpyfuncs.o
-HDRS=metacam.h dpyfuncs.h
+LIBOBJS=rationals.o exiftags.o \
+     nikontags.o olympustags.o canontags.o casiotags.o dpyfuncs.o \
+     metatiff.o filetiff.o tiffdata.o dataifd.o dataifdentry.o editifd.o \
+     ocontext.o lookups.o	
+EXEOBJS=metacam.o
+HDRS=metacam.h dpyfuncs.h metatiff.h filetiff.h datatiff.h edittiff.h \
+     odrivers.h
 
-DEPS=$(OBJS:.o=.dep)
-
-TIFS=$(wildcard *.TIF)
-JPGS=$(wildcard *.JPG)
-CAMS=$(TIFS:.TIF=.tcam) $(JPGS:.JPG=.jcam)
+DEPS=$(LIBOBJS:.o=.dep) $(EXEOBJS:.o=.dep)
 
 ##### TARGETS ######
 
 default:	metacam
 
 clean:
-	-rm -f *.o *~
+	-rm -f *.o *~ *-
 
 tags:
 	etags *.cc *.h
 
 realclean:
 	-rm -f metacam
-	-rm -f *.o *~
+	-rm -f *.o *~ *-
 	-rm -f *.dep
 	-rm -f dependencies
 	-rm -f TAGS
 
-metacam:	$(OBJS)
-	$(CXX) $(CXXFLAGS) $(OBJS) -o metacam -lm
+libmetacam.a:	$(LIBOBJS)
+	rm -f libmetacam.a
+	ar rsc libmetacam.a- $(LIBOBJS)
+	mv -f libmetacam.a- libmetacam.a
+
+metacam:	$(EXEOBJS) libmetacam.a
+	$(CXX) $(CXXFLAGS) $(EXEOBJS) -o metacam -lm -L. -lmetacam
 
 # Dependency rules
 dependencies:	Makefile $(DEPS)
@@ -76,5 +81,9 @@
 		rm -f $*.dep--
 		mv -f $*.dep- $*.dep 
 
+tar:
+	-rm -f files.tar
+	tar -cvf files.tar $(LIBOBJS:.o=.cc) $(EXEOBJS:.o=.cc) $(HDRS) Makefile THANKS $(wildcard README.*) LICENSE.TXT BUGS
+
 include dependencies

=== debian/changelog ===
metacam (1.2-8) unstable; urgency=medium

  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 25 May 2015 22:40:56 -0300

metacam (1.2-7) experimental; urgency=medium

  * debian/control:
      - Added the Homepage field.
      - Fixed the Vcs-* fields.
  * debian/rules:
      - Added the DEB_BUILD_MAINT_OPTIONS variable to fix the issues
        pointed by blhc.
      - Added a target to install the new file debian/upstream.changelog.
  * debian/upstream.changelog: added as a changelog from upstream homepage.
  * debian/watch: added a second way to track new releases.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 29 Oct 2014 15:34:14 -0200

metacam (1.2-6) unstable; urgency=medium

  * New maintainer and co-maintainer. Thanks a lot to  Juan Angulo
      Moreno <juan@apuntale.com>, the last maintainer of this package.
  * Migrations:
      - Converted the manpage to txt2man system. Consequently, created
        the debian/man/ directory, removed debian/metacam.1 file and
        updated the debian/manpages file.
      - Debian format to 3.0.
      - debian/copyright to 1.0 format.
      - debhelper level to 9.
      - Dropped the CDBS system.
      - Patches to quilt system (01_makefile_clean.diff was dropped;
        02_gcc-4.3-fix.diff and 03_metacam_gcc-4.3.diff was merged).
  * debian/clean: added to remove a file forgotten by upstream.
  * debian/control:
      - Added the ${misc:Depends} variable to binary block.
      - Bumped Standards-Version to 3.9.6.
      - Improved the long description.
  * debian/copyright: updated the upstream and packaging data.
  * debian/manpages: added to install the manpage.
  * debian/patches/Makefile: added to provide GCC hardening.
  * debian/rules: added the DEB_CFLAGS_MAINT_APPEND variable to fix
      the issues pointed by blhc.
  * debian/watch: improved.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 07 Oct 2014 18:19:00 -0300

metacam (1.2-5) unstable; urgency=low

  * Update Standards-version 3.7.3.
  * Update Debhelper 6.
  * GCC 4.3 patch. (Closes: #455621)

 -- Juan Angulo Moreno <juan@apuntale.com>  Thu, 06 Mar 2008 22:27:06 -0430

metacam (1.2-4) unstable; urgency=low

  * New maintainer (Closes: #425241)
  * [debian/control] Update description
  * Fixed segmentation fault picture Canon S60 (when it was updated the version 
    0.6-1 to 1.2-1 error was not present) (Closes: #279342)
  * [debian/watch] Fix URL file
  * [debian/copyright] Updated (Separation by author and copyrights)

 -- Juan Angulo Moreno <juan@apuntale.com>  Fri, 4 Sep 2007 10:17:04 -0400

metacam (1.2-3) unstable; urgency=low

  * GCC 4.3 patch (Closes: #417428)

  * Orphaning the package.

 -- Jarno Elonen <elonen@debian.org>  Fri, 18 May 2007 12:19:33 +0300

metacam (1.2-2) unstable; urgency=low

  * Added CDBS dependency
  * Added a 'watch' file for uscan

 -- Jarno Elonen <elonen@debian.org>  Sat,  4 Sep 2004 02:45:30 +0300

metacam (1.2-1) unstable; urgency=low

  * New upstream release
  * New maintainer (Closes: #269230, #162468)
  * Rewrote 'rules' with CDBS
  * Updated 'copyright' file to actually contain copyrights
  * Updated man page

 -- Jarno Elonen <elonen@debian.org>  Sat,  4 Sep 2004 01:43:09 +0300

metacam (0.6-1.1) unstable; urgency=low

  * Non Maintainer Upload
  * Fix all g++ 3.x error. g++ 3.x is very strict with types
    (Closes: #134021)

 -- Julien LEMOINE <speedblue@debian.org>  Sun, 16 Mar 2003 16:15:30 +0100

metacam (0.6-1) unstable; urgency=low

  * New upstream release
  * Updated to use debhelper 3

 -- Alp Toker <alp@atoker.com>  Wed, 26 Dec 2001 02:10:37 +0000

metacam (0.5-1) unstable; urgency=low

  * Initial Release.

 -- Alp Toker <alp@atoker.com>  Tue,  4 Sep 2001 20:57:44 +0100

=== debian/control ===
Source: metacam
Section: graphics
Priority: optional
Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
Uploaders: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Homepage: http://www.cheeseplant.org/~daniel/pages/metacam.html
Vcs-Browser: http://anonscm.debian.org/cgit/forensics/metacam.git
Vcs-Git: git://anonscm.debian.org/forensics/metacam.git

Package: metacam
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: extract EXIF information from digital camera files
 EXIF (Exchangeable Image File Format) is a standard for storing interchange
 information in image files, especially those using JPEG compression. Most
 digital cameras, including mobile phones, now use the EXIF format.
 .
 The format is part of the DCF standard created by JEIDA to encourage the
 interoperability between imaging devices. In addition to the standard EXIF
 fields, MetaCam also supports vendor-specific extensions from Nikon, Olympus,
 Canon and Casio.
 .
 This program is useful in forensics insvestigations.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -D_FORTIFY_SOURCE=2

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs debian/upstream.changelog

=== debian/watch ===
version=3
http://www.cheeseplant.org/metacam/downloads/metacam-([\d\S]+)\.tar\.(?:bz2|gz|xz)
http://www.cheeseplant.org/~daniel/pages/metacam.html .*/metacam/downloads/metacam-([\d\S]+)\.tar\.(?:bz2|gz|xz)
